package router

import (
	"github.com/gin-gonic/gin"
)

func RegisterAuthority(group *gin.RouterGroup, h *Authority) {
	router := group.Group("/authority")
	router.POST("/getAuthorityList", h.List)
	router.POST("/createAuthority", h.Create)
	router.POST("/copyAuthority", h.Copy)
	router.PUT("/updateAuthority", h.Update)
	router.POST("/deleteAuthority", h.Delete)
	router.POST("/setRoleUsers", h.SetUsers)
	router.GET("/getUsersByAuthority", h.Users)
	router.POST("/setDataScope", h.SetDataScope)
	router.GET("/getDataScopeDepts", h.DataScopeDepartments)
}
